{% extends 'Default/index.html.twig' %}
{% block title %}{{ servizio.name }} - Stanza del cittadino{% endblock %}
{% set ente = instance_service.getCurrentInstance() %}

{% block head %}
  {{ parent() }}
  {{ include('Servizi/parts/_json-ld.serviceGroup.html.twig', {'servizio':servizio}) }}
{% endblock %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('compile') }}
{% endblock %}

{% block main_content %}
  <div class="container">
    <div class="row justify-content-center mb-5">
      <div class="col-12 col-lg-10 pb-2">
        <div class="row pb-3 pb-lg-4">
          <div class="col-lg-8">
            <h1 data-element="service-title">{{ servizio.name }}</h1>
            <p class="small mb-3" data-element="service-description">
              {% if not servizio.shortDescription is same as(servizio.name) %}
                {{ servizio.shortDescription | abstract }}
              {% else %}
                {{ servizio.description | abstract }}
              {% endif %}
            </p>
            <div class="mt-3">
              {% for sharedService in servizio.getSharedServices %}
                <a href="{{ path('service_access', {'servizio': sharedService.slug}) }}"
                   class="btn btn-primary mt-2">{{ sharedService.name }}</a>
              {% endfor %}
            </div>
          </div>
          <div class="col-lg-3 offset-lg-1 mt-5 mt-lg-0">
            {# Condividi #}
            {{ include('Servizi/parts/_share.html.twig', {'item': servizio, 'api_route': 'service_group_api_get'})}}
          </div>
        </div>
      </div>
      <hr class="col-12 d-none d-lg-block mb-0">
    </div>
  </div>
  <div class="container">
    <div class="row row-column-menu-left pb-4">
      <aside class="col-12 col-lg-3 mb-4 border-right" style="position: relative;">
        <div class="sticky-wrapper navbar-wrapper">
          <nav class="navbar it-navscroll-wrapper it-top-navscroll navbar-expand-lg">
            <button class="custom-navbar-toggler" type="button" aria-controls="navbarNav" aria-expanded="false"
                    aria-label="Toggle navigation" data-target="#navbarNav">
              <span class="it-list"></span>{{ 'servizio.indice' | trans }}
            </button>
            <div class="navbar-collapsable" id="navbarNav">
              <div class="overlay"></div>
              <div class="close-div sr-only">
                <button class="btn close-menu" type="button"><span class="it-close"></span>close</button>
              </div>
              <a class="it-back-button" href="#">
                <svg class="icon icon-sm icon-primary align-top">
                  <use href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-left"
                       xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-left"></use>
                </svg>
                <span>{{ 'servizio.torna_indietro' | trans }}</span>
              </a>
              <div class="menu-wrapper">
                <div class="link-list-wrapper menu-link-list">
                  <h3 class="no_toc">{{ 'servizio.indice' | trans }}</h3>
                  <ul class="link-list" data-element="page-index">
                    {% if not servizio.who|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                            href="#who"><span>{{ 'servizio.a_chi_si_rivolge' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.description|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                           href="#description"><span>{{ 'servizio.descrizione' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.howToDo|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                            href="#how-to-do"><span>{{ 'servizio.how_to_do' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.whatYouNeed|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                            href="#what-you-need"><span>{{ 'servizio.what_you_need' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.whatYouGet|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                            href="#what-you-get"><span>{{ 'servizio.what_you_get' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.timesAndDeadlines|isEmpty or (servizio.getSharedServices|length > 0 and (hasServicesWithMaxResponseTime or hasScheduledServices)) %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                            href="#times_and_deadlines"><span>{{ 'servizio.times_and_deadlines' | trans }}</span></a>
                      </li>
                    {% endif %}
                    <li class="nav-item">
                      <a class="nav-link" data-focus-mouse="false"
                          href="#howto"><span>{{ 'servizio.accedere' | trans }}</span></a>
                    </li>
                    {% if not servizio.conditions|isEmpty or servizio.conditionsAttachments|length > 0 %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                            href="#conditions"><span>{{ 'servizio.conditions' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.costs|isEmpty or servizio.costsAttachments|length > 0 %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                           href="#costs"><span>{{ 'servizio.costs' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.moreInfo|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                           href="#more_info"><span>{{ 'servizio.maggiori_info' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.constraints|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                           href="#constraints"><span>{{ 'servizio.constraints' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.specialCases|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                           href="#special_cases"><span>{{ 'servizio.casi_particolari' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if servizio.userGroups and servizio.userGroups|length > 0 %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false" data-element="service-area"
                           href="#contacts"><span>{{ 'servizio.contatti' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if servizio.getNotStickyServices.count > 0 %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                           href="#related-services"><span>{{ 'gruppo_di_servizi.servizi_correlati' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {{ include('Servizi/parts/_link_satisfy.html.twig', {'ente': ente,'landing':'false'}) }}
                  </ul>
                </div>
              </div>
            </div>
          </nav>
        </div>
      </aside>
      <div class="col-12 col-lg-8 offset-lg-1">
        <div class="it-page-sections-container">
          {% if not servizio.who|isEmpty %}
            <section class="it-page-section mb-4" id="who">
              <h2 class="title mb-3">{{ 'servizio.a_chi_si_rivolge' | trans }}</h2>
              <div class="rich-text text-serif">{{ servizio.who|cleanMarkup|raw }}</div>
            </section>
          {% endif %}
          {% if not servizio.description|isEmpty %}
            <section class="it-page-section mb-4" id="description">
              <h2 class="title mb-3">{{ 'servizio.descrizione' | trans }}</h2>
              <div class="rich-text text-serif">{{ servizio.description|cleanMarkup|raw }}</div>
            </section>
          {% endif %}
          {% if not servizio.howToDo|isEmpty %}
            <section class="it-page-section mb-4" id="how-to-do">
              <h2 class="title mb-3">{{ 'servizio.how_to_do' | trans }}</h2>
              <div
                class="rich-text text-serif">{{ servizio.howToDo|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}
          {% if not servizio.whatYouNeed|isEmpty %}
            <section class="it-page-section mb-4 bg-aliceblue p-3" id="what-you-need">
              <h2 class="title mb-3">{{ 'servizio.what_you_need' | trans }}</h2>
              <div class="rich-text text-serif">
                {{ servizio.whatYouNeed|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}
          {% if not servizio.whatYouGet|isEmpty %}
            <section class="it-page-section mb-4" id="what-you-get">
              <h2 class="title mb-3">{{ 'servizio.what_you_get' | trans }}</h2>
              <div class="rich-text text-serif">
                {{ servizio.whatYouGet|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}
          {% if not servizio.timesAndDeadlines|isEmpty or (servizio.getSharedServices|length > 0 and (hasServicesWithMaxResponseTime or hasScheduledServices)) %}
            <section class="it-page-section mb-4" id="times_and_deadlines">
              <h2 class="title mb-3">{{ 'servizio.times_and_deadlines' | trans }}</h2>
              {% if not servizio.timesAndDeadlines|isEmpty %}
                <div class="rich-text text-serif">
                  {{ servizio.timesAndDeadlines|cleanMarkup|raw }}
                </div>
              {% endif %}
              {% if servizio.sharedServices|length > 0 and (hasServicesWithMaxResponseTime or hasScheduledServices) %}
                {% set serviceDates = [] %}
                {% for sharedService in servizio.sharedServices %}
                  {% if sharedService.maxResponseTime and sharedService.isSharedWithGroup %}
                    {% set startMaxResponseTimeDate = (sharedService.isScheduled ? sharedService.scheduledTo : 'now')|format_date( locale=app.request.locale) %}
                    {% set serviceDates = serviceDates|merge([
                      {
                        'date': startMaxResponseTimeDate|date_modify( '+' ~ (sharedService.maxResponseTime) ~ 'days'),
                        'label': 'servizio.esito_richiesta_per_servizio'|trans({ '%servizio%': sharedService.name }),
                        'checkpoint_info': (sharedService.isScheduled ? 'servizio.tempo_massimo_esito_servizio_programmato' : 'servizio.tempo_massimo_esito_servizio')|transchoice(sharedService.maxResponseTime)
                      }]
                    ) %}
                  {% endif %}
                  {% if sharedService.isScheduled and sharedService.isSharedWithGroup %}
                    {% set serviceDates = serviceDates|merge([
                      {
                        'date': sharedService.scheduledFrom,
                        'label': 'servizio.apertura_servizio'|trans({ '%servizio%': sharedService.name }),
                        'checkpoint_info': ''
                      },
                      {
                        'date': sharedService.scheduledTo,
                        'label': 'servizio.termine_presentazione_domande_per_servizio'|trans({ '%servizio%': sharedService.name }),
                        'checkpoint_info': ''
                      }
                    ]) %}
                  {% endif %}
                {% endfor %}
                {{ include('Servizi/parts/panel/times_and_deadlines.html.twig', {'serviceDates': serviceDates}) }}
              {% endif %}
            </section>
          {% endif %}
          <section class="it-page-section mb-4 bg-aliceblue p-4" id="howto">
            <h2 class="title mb-3">{{ 'servizio.accedere' | trans }}</h2>
            {% if not servizio.howto|isEmpty %}
              <div class="rich-text text-serif">
                {{ servizio.howto|cleanMarkup|raw }}
              </div>
            {% endif %}
            <div class="mt-3">
              {% for sharedService in servizio.getSharedServices %}
                <a href="{{ path('service_access', {'servizio': sharedService.slug}) }}"
                   class="btn btn-primary mt-2">{{ sharedService.name }}</a>
              {% endfor %}
            </div>
          </section>
          {% if not servizio.conditions|isEmpty or servizio.conditionsAttachments|length > 0 %}
            <section class="it-page-section mb-4" id="conditions">
              <h2 class="title mb-3">{{ 'servizio.conditions' | trans }}</h2>
              <div class="rich-text text-serif">
                {{ servizio.conditions|cleanMarkup|raw }}
              </div>
              <div>
                {% for attachment in servizio.conditionsAttachments %}
                  {{ include('Servizi/parts/panel/service_attachment.html.twig', {
                    'download_url': path('service_group_api_attachment_get', {'id': servizio.id, 'attachmentType': attachment.type, 'filename': attachment.name}),
                    'attachment': attachment
                  }) }}
                {% endfor %}
              </div>
            </section>
          {% endif %}
          {% if not servizio.costs|isEmpty or servizio.costsAttachments|length > 0 %}
            <section class="it-page-section mb-4" id="costs">
              <h2 class="title mb-3">{{ 'servizio.costs' | trans }}</h2>
              <div class="rich-text text-serif">
                {{ servizio.costs|cleanMarkup|raw }}
              </div>
              <div>
                {% for attachment in servizio.costsAttachments %}
                  {{ include('Servizi/parts/panel/service_attachment.html.twig', {
                    'download_url': path('service_group_api_attachment_get', {'id': servizio.id, 'attachmentType': attachment.type, 'filename': attachment.name}),
                    'attachment': attachment
                  }) }}
                {% endfor %}
              </div>
            </section>
          {% endif %}
          {% if not servizio.moreInfo|isEmpty %}
            <section class="it-page-section mb-4" id="more_info">
              <h2 class="title mb-3">{{ 'servizio.maggiori_info' | trans }}</h2>
              <div class="rich-text text-serif">
                {{ servizio.moreInfo|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}
          {% if not servizio.constraints|isEmpty %}
            <section class="it-page-section mb-4" id="constraints">
              <h2 class="title mb-3">{{ 'servizio.constraints' | trans }}</h2>
              <div class="rich-text text-serif">
                {{ servizio.constraints|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}
          {% if not servizio.specialCases|isEmpty %}
            <section class="it-page-section mb-4" id="special_cases">
              <h2 class="title mb-3">{{ 'servizio.casi_particolari' | trans }}</h2>
              <div class="rich-text text-serif">
                {{ servizio.specialCases|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}

          {# Contatti #}
          <section class="it-page-section mb-4" id="contacts">
            {% if servizio.userGroups and servizio.userGroups|length > 0 %}
              {{ include('Servizi/parts/_userGroupsContacts.html.twig', {'item': servizio})}}
            {% endif %}
            <div class="col-12 mb-3">
              <span class="text-paragraph-small">{{ 'search.topics' | trans }}:</span>
              {% if servizio.topics.name is defined %}
                <div class="d-flex flex-wrap mt-2 mb-4">
                  <div>
                    <a class="chip chip-simple chip-primary bg-tag text-decoration-none" href="#"
                       data-element="service-topic">
                      <span class="chip-label">{{ servizio.topics.name }}</span> </a>
                  </div>
                </div>
              {% endif %}
            </div>
            <p class="small mb-0">{{ 'servizio.page_updated_at' | trans({'%updatedAt%': servizio.updatedAt | format_date( locale=app.request.locale) }) }}</p>
          </section>

          {% if servizio.getNotStickyServices.count > 0 %}
            <section class="it-page-section mb-4" id="related-services">
              <h2 class="title mb-3">{{ 'gruppo_di_servizi.servizi_correlati' | trans }}</h2>
              <div class="row flex-column pt-3 ml-2 ml-lg-0">
                  {{ include('Servizi/parts/panel/service-related.html.twig', {'servizi':servizio.getNotStickyServices}) }}
              </div>
            </section>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
  {% if servizio.getStickyServices.count > 0 %}
    <section class="container-fluid py-5 bg-light">
      <div class="container">
        <div class="row">
          {% for servizio in servizio.getStickyServices %}
            <div class="col-12">
              {{ include('Servizi/parts/panel/servizio_sticky.html.twig') }}
            </div>
          {% endfor %}
        </div>
      </div>
    </section>
  {% endif %}

  {{ include('Servizi/parts/_feedback.html.twig', {'type': 'group','service_id': servizio.id})}}

  <a href="#" aria-hidden="true" data-attribute="back-to-top" class="back-to-top shadow back-to-top-show"
     aria-label="{{ 'back_to_top' | trans }}">
    <svg class="icon icon-light">
      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-up"></use>
    </svg>
  </a>

  {{ include('Servizi/parts/_contacts.html.twig')}}
{% endblock %}
